com.hazelcast.jet.core

## Enum TimestampKind

- java.lang.Object
- - java.lang.Enum<TimestampKind>
  - - com.hazelcast.jet.core.TimestampKind

- All Implemented Interfaces:
    Serializable, Comparable<TimestampKind>

      public enum TimestampKind
      extends Enum<TimestampKind>

  Enumerates the two possible kinds of timestamp: event timestamp and frame timestamp. Used by the sliding window processors.
  Since:
    3.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVENT` Denotes the event timestamp kind.
    `FRAME` Denotes the frame timestamp kind.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimestampKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TimestampKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EVENT

          public static final TimestampKind EVENT

      Denotes the event timestamp kind.

    - #### FRAME

          public static final TimestampKind FRAME

      Denotes the frame timestamp kind.

  - ### Method Detail

    - #### values

          public static TimestampKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimestampKind c : TimestampKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimestampKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.